License Options

 Top Next

Standalone licenses provide one computer with one license to run one Waterloo Hydrogeologic (WH) program.

Team licenses utilize a license manager utility to manage the number of concurrent users (seats) available to run a WH program.

License Protection Methods

· Soft-Key Licensing: Licenses are “node-locked” meaning that they are only valid for the computer from which the license is requested. These licenses cannot be switched from one computer to another without assistance from WH. The main advantage of soft-key licenses is that they do not require any additional hardware as the license is locked to the computer itself.
· Hard-Key (Dongle) Licensing: A USB Dongle can also be used to lock a license. The principal advantage of using dongles is to provide a convenient way to use a single license in multiple locations such as in the field or at the office. This can also be used to easily transfer licenses when machines are replaced or upgraded. Software applications, with a valid license, can be used on any machine as long as the dongle, specified in the license, is physically attached to the computer and the correct version of the software is used.


Activating Stand Alone Licenses

Activating a Stand Alone License

 Top Previous Next

Standalone licenses must be activated by the user from the computer on which the license will be used. The WH software must already be installed before you can request a license using this method. When starting WH software for the first time, you will be prompted with a Welcome dialog box.

Selecting “Start Trial” will activate a fully functioning 15 day version of the software. Any time you launch the software select “Start Trial” to continue using the trial license. Simply select “Activate” and follow the instructions below when you are ready to fully activate your software.

Topics Covered in this Chapter

· Automated Activation - Stand Alone License
· Manual Activation – Stand Alone License


Automated Activation - Stand Alone License

Your Waterloo Hydrogeologic (WH) program can be activated automatically as long as your computer has access to the internet. Automated activation allows you to get your software up and running instantly.

NOTE: If you are activating with a hard-key license (dongle) you will also be required to install the appropriate dongle drivers available from our website. (Windows 8.1 dongle drivers can be found here)

1. Soft-key licenses will not require this step. If you are activating a hard-key license (dongle) plug the dongle into an active USB port now and ensure the dongle light turns on.
2. Launch the WH software by double-clicking the desktop icon or by selecting the shortcut from the Windows start menu.
3. Select the “Activate” button.
4. Choose the radial button for “Request License”
5. Fill out the required customer information. Click “Submit”. Note: software serial numbers are indicated on the purchase invoice.
6. If the computer has access to the internet your application will be licensed immediately.

On Windows 7, you will have the option to install the license for the Current user or All Users. If you select All Users, you will need Administrator Rights to proceed.


Activation Failure – Stand Alone License

If you experience any difficulty during the Automated License Activation process the following screen will appear:

1. If you are unable to access the internet after repeated attempts click on the “Contact Support” button.
2. If the computer is setup to send e-mail, the “Contact Support” button will populate an email with an activation zip file attached for Technical Support (license@waterloohydrogeologic.com). Send this email.
3. If the computer is not setup for e-mail the “Submit” button will produce a screen that will prompt you to save the activation file to your computer. Select the “Save” button on this screen to save the activation file to a temporary location on your computer. Make a copy of the file, and transfer it to a computer that is configured for e-mail. Attach the file to a new e-mail message, and send it to license@waterloohydrogeologic.com
4. Once Technical Support has received this email a representative will contact you to assist in the activation of your software.
Note: A trial license for 15 days will be automatically activated within the program so that you may begin using the program while we work with you to activate your program. Any time you launch the software simply select “Start Trial” to continue using the trial license.


Manual Activation – Stand Alone License

Manual activation may be required in some situations. In these cases a client support representative will email a license file (.lic) to your attention. This may come in response to the email sent during the Activation Failure process above. Please note, that the license can only be installed on the computer that was used to generate the activation zip file during “Contact Support” process. The following steps illustrate how to activate your software using the manual activation:

1. Save the license file (.lic) provided by WH Technical Support to a temporary location on your computer.
2. Soft-key licenses will not require this step. If you are activating a hard-key license (dongle) plug it in now and ensure the dongle light appears.
3. Launch the WH software by double-clicking the desktop icon or by selecting the shortcut from the Windows start menu.
4. Select the “Activate” button.
5. Select the “I have a License File” radial button and browse to the location on your computer where the license file is saved. Select “Open” then “Submit”.

On Windows 7, you will have the option to install the license for the Current user or All Users. If you select All Users, you will need Administrator Rights to proceed.


Activating Team Licenses

Team licenses provide your organization with the flexibility to manage and administer multiple licenses from a central license server in a network environment. Using the License Manager tool, workstations on the network equipped with WH software can access and use the available licenses on the license server.

Topics Covered in this Chapter

· Installing the License Manager
· Activation Failure - Team License
· Manual Activation – Team License
· Installing Team Licenses on Client Machines
· Troubleshooting Team Licenses


Installing the License Manager

Installing the License Manager (on the Server)

 Top Previous Next

The License Manager should only be installed on a centralized server or computer that can be accessed by the workstations requiring licenses for WH programs (unless the license is a one-user Team License)

1. License Manager can be downloaded from the following link: http://trials.swstechnology.com/software/License_Manager/automated/LSSetup.msi
2. Once downloaded, double click on the .MSI file to begin the installation.
3. Follow the on-screen instructions to complete the installation.
4. Once the installation is complete, make sure the License Manager Service is running; the name is slb_water_license. These services are found in the Administrative Tools / Windows Services.
5. Configuring Windows Firewall (see steps below)

Windows Firewall on the server machine will need to be configured by completing the following steps:

1. Click Start > Control Panel > Security > Windows Firewall
2. Click Advanced Settings
3. Select Inbound rules
4. Click New Rule.. in the right action window
5. Select Port and hit Next
6. Select TCP and Specific local ports:
7. Add the following in to the port field: 5053, 2376 and hit Next
8. Select Allow the Connection, hit Next
9. Check all three boxes: Domain, Private and Public, then hit Next
10. Give the rule any name (e.g. WH License Manager) and description you wish, and hit Finish


Automatic Activation - Team License

Team licenses must be requested from the server or computer that is hosting the license server. If you have not done so already, please install the License Manager (see Installing the License Manager above). Once the License Manager is installed, follow the steps below.

License Manager - Request License

1. Select Start > WH Software > License Manager > Install License
2. Select the “Request License File” button and specifying your serial number. Hit “Submit”.
3. If the computer has access the internet the license will activate automatically and populate in Current Licenses table.
4. Follow the “Installing Team Licenses on Client Machines” instructions below to continue setting up your network environment.

Allowing the License Manager through the Windows Firewall

If the applications are not able to connect to the License Manager to check out license, depending on your system settings, Window’s firewall could be blocking the license manager service. If you have Window’s Firewall enabled, follow the steps below to add an exception for the license manager service.

1. In your server go to Control Panel > System and Security > Windows Firewall > “Allow a program or feature through Windows Firewall”
2. Click on “Change settings”
3. Click on “Allow Another Program”
4. Click “Browse” and navigate to “C:\Program Files (x86)\Waterloo Hydrogeologic\License Manager”
5. Select “rlm” and click “Open”
6. Select “rlm” from the list of Programs and click on “Add”
7. Make sure that “Domain”, “Home/Work(Private)” and “Public” checkboxes are checked besides “rlm”
8. Click "Ok"
9. Ensure to Restart the server after these changes


Activation Failure - Team License

If the activation fails and the computer is setup to send e-mail the “Submit” action will populate an email with the activation zip file attached for Technical Support (license@waterloohydrogeologic.com). Send this email.

If the computer is not setup for e-mail the activation failure will produce a screen that will prompt you to save the activation zip file to your computer. Select the “Save” button on this screen to save the activation file to a location on your computer. Make a copy of the file, and transfer it to a computer that is configured for e-mail. Attach the file to a new e-mail message, and send it to license@waterloohydrogeologic.com.

Once Technical Support has received the activation zip file you will be contacted by a representative who will assist you with licensing your software.


Manual Activation – Team License

Manual activation may be required in some situations. In these cases a representative will email a license file (.lic) to your attention. This may come in response to the email sent during the “Activation Failure” process above. Please note, that the license can only be installed on the computer that was used to generate the activation zip file during that process. The following steps illustrate how to activate your software using the manual activation:

1. Select Start > WH Software > License Manager > Install License
2. Select the “I have a License File” radial button and browse to the location on your computer where the license file is saved. Select “Open” then “Submit”. The license will populate in the Current License table.
3. Follow the “Installing Team Licenses on Client Machines” instructions below to continue setting up your network environment.


Installing Team Licenses on Client Machines

For team licensing, the license file must also be installed on each client machine that requires access to the team licenses. NOTE: If you want to install a license that can be accessed by multiple user profiles on the same machine, you must have Administrator permissions.

1. Open the License Manager application. Select Start > Programs > Waterloo Hydrogeologic Software > License Manager > Install License.

License Manager - Download License File

2. Highlight the license that you need to transfer onto the client machine.
3. Select the “Download” button.
4. You will be prompted to save a license file (.lic).
5. Make a copy of this file onto the desktop of the client machine.
6. Launch the WH software being licensed. (eg. Visual MODFLOW, Hydro GeoAnalyst, AquiferTest or AquaChem).
7. A Welcome dialog box will appear. Select Activate then select "I Have a License File”.
8. Browse to the location of the .lic file which you copied from your server. Select this .lic file and click Open.
9. Click ”Submit”.


Troubleshooting Team Licenses

If you are experiencing issues with your team licensing, please refer to the following trouble shooting guide for an overview of potential causes and solutions.

The License Server service was not installed correctly
In some instances the license server service may not install properly when the License Manager is installed. To verify that the license server service was installed, follow the steps below:

1. From your windows task bar, select Start > Control Panel > Administrative Tools > Services
2. In the Services window, search through the list of services and locate the service called slb_water_license. If this service exists in the list, then the service was installed correctly. If this service does not appear in the list, you can manually install the service.
3. Using Windows Explorer, navigate to the License Manager installation directory on your computer. By default, this directory is c:\Program Files\WH\License Manager
4. Locate and double-click the Install License Manager Service file.
5. Note: If you are running the license server on a Windows 7 workstation, right-click on the Install License Manager Service file and select Run as Administrator… to install the license server.
6. Verify that the service was installed successfully by locating it in the Services dialog (see steps above 1 & 2)
7. Now that the service is installed correctly, try reinstalling your WH team license as described on page 21.

The License Server service is not started
In order to successfully install and distribute team licenses, the license server service must be started. To verify that the license server is started, follow the steps below:

1. From your windows task bar, select Start > Control Panel > Administrative Tools > Services
2. In the Services window, search through the list of services and locate slb_water_license. Note: If you cannot find this service please install the license service following the steps in the previous section.
3. Look under the Status column. If the status is set to “Started”, then the service should be running. If the status is not set to “Started”, then you must manually start the service.
4. Right-click on the slb_water_license service and select Start from the pop-up menu. After this, the status should change to Started.
5. Now that the service is installed correctly, try reinstalling your WH team license as described in the previous section.

Contact Technical Support
If you cannot resolve your licensing issues using the solutions described above, please contact a technical support representative: license@waterloohydrogeologic.com


Frequently Asked Questions

 Top Previous

The following is a list of Frequently Asked questions concerning software licensing. If your question is not addressed here, please feel free to contact your sales representative to send message to license@waterloohydrogeologic.com

· Do I need to wait for technical support to send me a license file?
No. WH software versions released after 2013 can be activated without any assistance from technical support. As long as you have access to the internet simply follow the “Automated Activation” instructions in this manual.
· Do I need a new license file when I upgrade?
Full version upgrades will require a new license file. Simply uninstall the older release and install the updated application. Follow the automated license prompts to be up and running in no time.
· Where should I install the license manager?
The license manager can be installed on a server or a centrally accessible computer. All users (client machines) must be able to connect to the license manager host machine in order to check out a license for the application.
· Can a team license be used over a WAN (Wide Area Network)?
WAN configurations are not supported by WH.
· Does my license ever expire?
No. All new purchases are issued with non-expiring licenses. Past versions however (pre 2013), may have been issues with 24 month licenses. If you receive message that your license will expire please contact license@waterloohydrogeologic.com for reactivation.
· What happens if I lose my license file?
If you lose your license file, please contact your sales representative or license@waterloohydrogeologic.com. Technical support will e-mail you copy of the original license file free-of-charge. However, the license will only be valid for the computer for which the license was originally installed.
· Can I transfer a license to another computer?
Yes. To request a license transfer, please contact your sales representative license@waterloohydrogeologic.com
· What happens if my network card is damaged and needs to be replaced?
WH software licenses are linked to your computer’s network card. If your network card is removed and replaced with a new one, your software license will become invalid. In the event that you need to replace your network card, please contact WH.